<template>
    <el-row>
        <el-card class="box-card">
            <el-form label-width="100px" style="position:relative;top:30px;">
                <el-form-item label="搜索学生:">
                    <el-row>
                        
                        <el-col>
                            <el-input type="text" placeholder="输入学号" v-model="form.receiver_list" autocomplete="off" required />
                        </el-col>
                    </el-row>
                    <br />
                </el-form-item>
               
                <el-form-item label="输入留言:">
                    <el-input type="text" placeholder="输入留言" v-model="form.content" autocomplete="off" style="height:100px"
                        required />
                </el-form-item>
                <el-button type="success" @click="send">发布留言</el-button>
                <el-form-item>

                </el-form-item>
            </el-form>
        </el-card>
    </el-row>
</template>

<script >
import global from './Common.vue'
import { ref } from 'vue'
import axios from 'axios'
export default {
    name: "upload_message",
    data() {
        return {
            isSuccess: true,
            id: "",
            name: "",
            message: "",
            activity: "",
            form: {
                receiver_list: [],
                content: '',
            },
        }
    },
    methods: {
        send() {
            let token = localStorage.getItem("token");
            console.log("hello")
            
            const { receiver_list, content } = this.form;
            console.log(receiver_list)

            axios({
                method: "POST",
                url: "http://" + global.ip + "/api/notice/message",
                headers: { Authorization: `Bearer: ${token}` },
                data: {
                    receiver_list,
                    content,
                }
            }).then((res) => {
                window.location.replace("http://" + global.ip_front + "leave_message")
                this.$message(res.data.msg)
            });
        }
    }
}
</script>

<style>

.box-card {
    position: relative;
    width: 75%;
    height: 80%;
    top: 50px;
    left: 140px;
    padding: 50px;
}
</style>